#include <bits/stdc++.h>

using namespace std;

int niz1[1000000], niz2[1000000];

int main ()
{
	int n, k;
	cin>>n>>k;
	for(int i=0; i<n; i++)
	{
		int a;
		cin>>a;
		if(a<0) niz1[-a]++;
		else niz2[a]++;
	}
	int br=0;
	for(int i=0; i<=n; i++)
		if( niz1[i] >= k || niz2[i] >= k ) br++;
		cout<<br<<endl;
	for(int i=n; i>0; i--)
		if( niz1[i] >= k ) cout<<-i<<" ";
	for(int i=0; i<n; i++)
		if( niz2[i] >= k ) cout<<i<<" ";
}